%define name    terminology
%define version 0.2.0
%define rel 4
%define release %mkrel %rel

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Terminal emulator that uses modern EFL
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
Source: %name-%version.tar.bz2
Patch1: terminology-dbg-should-be-dbg.patch
Requires: evas
Requires: elementary
BuildRequires: pkgconfig
BuildRequires: edje
BuildRequires: pkgconfig(ecore) >= 1.7.0
BuildRequires: pkgconfig(ecore-con) >= 1.7.0
BuildRequires: pkgconfig(ecore-evas) >= 1.7.0
BuildRequires: pkgconfig(ecore-file) >= 1.7.0
BuildRequires: pkgconfig(ecore-input) >= 1.7.0
BuildRequires: pkgconfig(ecore-input-evas) >= 1.7.0
BuildRequires: pkgconfig(ecore-ipc) >= 1.7.0
BuildRequires: pkgconfig(ecore-x) >= 1.7.0
BuildRequires: pkgconfig(edbus) >= 1.7.0
BuildRequires: pkgconfig(edje) >= 1.7.0
BuildRequires: pkgconfig(eet) >= 1.7.0
BuildRequires: pkgconfig(eeze) >= 1.7.0
BuildRequires: pkgconfig(efreet) >= 1.7.0
BuildRequires: pkgconfig(efreet-mime) >= 1.7.0
BuildRequires: pkgconfig(efreet-trash) >= 1.7.0
BuildRequires: pkgconfig(eina) >= 1.7.0
BuildRequires: pkgconfig(eio) >= 1.7.0
BuildRequires: pkgconfig(elementary) >= 1.7.0
BuildRequires: pkgconfig(evas) >= 1.7.0
URL: http://trac.enlightenment.org/e/wiki/Eina

%description
Terminology is a terminal emulator that uses modern EFL components 
to build its UI and core. It is written from scratch and does not 
use any components outside of EFL and libc, so it should be very 
portable and easy to build. For more information, please see the
Terminology Page.

%prep
%setup -qn %name-%version
%patch1 -p1

%build
# LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

# find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS README
%{_bindir}/%name
%{_datadir}/%name
%{_iconsdir}/%name.png
%{_datadir}/applications/%name.desktop


%changelog
* Sat Aug 17 2013 trem <trem> 0.2.0-4.mga3
+ Revision: 467340
- Avoid flooding the console with debug message (see #11021)
  This commit add the patch terminology-dbg-should-be-dbg.patch
  from the official terminology git.
- Add two dependancies (evas and elementary)
  With those dependancies, terminology can be run
  without installing all e17 (see #10312)

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 384391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 trem <trem> 0.2.0-1.mga3
+ Revision: 333964
- imported package terminology

